/*
 * UnitTests.java
 *
 * Copyright (c) 2005, TopCoder, Inc. All rights reserved
 */
package com.topcoder.file.statistics;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;


/**
 * <p>
 * This test case aggregates all Unit test cases.
 * </p>
 *
 * @author TCSDEVELOPER
 * @version 1.0
 */
public class UnitTests extends TestCase {
    /**
     * Creates a test suite for the tests in this test case.
     *
     * @return a TestSuite for this test case
     */
    public static Test suite() {
        final TestSuite suite = new TestSuite();

        suite.addTest(AbstractStatsReportingTest.suite());
        suite.addTest(AnyFileMatcherTest.suite());
        suite.addTest(BasicStatsReportingTest.suite());
        suite.addTest(BinaryFileMatcherTest.suite());
        suite.addTest(CStyleLineCounterTest.suite());
        suite.addTest(ConfigurationExceptionTest.suite());
        suite.addTest(DemoTest.suite());
        suite.addTest(ExtendedFileStatisticsTest.suite());
        suite.addTest(ExtensionMatcherTest.suite());
        suite.addTest(FileCategoryMatcherTest.suite());
        suite.addTest(FileMatchingExceptionTest.suite());
        suite.addTest(FileNameMatcherTest.suite());
        suite.addTest(FileProcessingExceptionTest.suite());
        suite.addTest(FileProcessorBaseTest.suite());
        suite.addTest(FileStatisticsExceptionTest.suite());
        suite.addTest(FileStatisticsTest.suite());
        suite.addTest(FileTypeMatcherTest.suite());
        suite.addTest(MainTest.suite());
        suite.addTest(MetricTest.suite());
        suite.addTest(MimeMatcherTest.suite());
        suite.addTest(RegexMatcherTest.suite());
        suite.addTest(StatsCollectionTest.suite());
        suite.addTest(StatsReportingExceptionTest.suite());
        suite.addTest(StatsResultTest.suite());
        suite.addTest(TextFileMatcherTest.suite());
        suite.addTest(TextLineCounterTest.suite());
        suite.addTest(TypeNameMatcherTest.suite());
        suite.addTest(XmlStatsReportingTest.suite());

        return suite;
    }
}
