/*
 * ConfigurationException.java
 *
 * Copyright (c) 2005 TopCoder, Inc., All Rights Reserved
 */
package com.topcoder.file.statistics;

/**
 * <p>
 * Used to cover configuration related exceptions for all the constructors with a namespace or with a property.
 * </p>
 *
 * @author WishingBone, TCSDEVELOPER
 * @version 1.0
 */
public class ConfigurationException extends FileStatisticsException {
    /**
     * <p>
     * Creates exception with error message. The error message can be null, however.
     * </p>
     *
     * @param message the error message describing the exception
     */
    public ConfigurationException(String message) {
        super(message);
    }

    /**
     * <p>
     * Creates exception with error message and cause error. The error message and cause can be null, however.
     * </p>
     *
     * @param message the error message describing the exception
     * @param cause the cause of the exception
     */
    public ConfigurationException(String message, Throwable cause) {
        super(message, cause);
    }
}
