/*
 * FileProcessingException.java
 *
 * Copyright (c) 2005 TopCoder, Inc., All Rights Reserved
 */
package com.topcoder.file.statistics;

/**
 * <p>
 * Encapsulates errors from the FileProcessor interface to indicate something gets wrong when processing the file for
 * statistical result. If the file operation fails an IOException will be thrown instead.
 * </p>
 *
 * @author WishingBone, TCSDEVELOPER
 * @version 1.0
 */
public class FileProcessingException extends FileStatisticsException {
    /**
     * <p>
     * Creates exception with error message. The error message can be null, however.
     * </p>
     *
     * @param message the error message describing the exception
     */
    public FileProcessingException(String message) {
        super(message);
    }

    /**
     * <p>
     * Creates exception with error message and cause error. The error message and cause can be null, however.
     * </p>
     *
     * @param message the error message describing the exception
     * @param cause the cause of the exception
     */
    public FileProcessingException(String message, Throwable cause) {
        super(message, cause);
    }
}
