/*
 * BinaryFileMatcher.java
 *
 * Copyright (c) 2005 TopCoder, Inc., All Rights Reserved
 */
package com.topcoder.file.statistics.matcher;

import com.topcoder.util.config.Property;


/**
 * <p>
 * Concrete implementation of the FileCategoryMatcher class that matches binary files.
 * </p>
 * 
 * <p>
 * It does not need any configuration. However constructor is maintained to accept property argument for reflection
 * purpose.
 * </p>
 * 
 * <p>
 * This class is stateless and thread-safe.
 * </p>
 *
 * @author WishingBone, TCSDEVELOPER
 * @version 1.0
 */
public class BinaryFileMatcher extends FileCategoryMatcher {
    /**
     * <p>
     * Default constructor. Does nothing.
     * </p>
     */
    public BinaryFileMatcher() {
    }

    /**
     * <p>
     * Constructor that obeys the reflection contract. Does nothing.
     * </p>
     *
     * @param property the property to configure from
     *
     * @throws NullPointerException if property is null
     */
    public BinaryFileMatcher(Property property) {
        if (property == null) {
            throw new NullPointerException("property is null");
        }
    }

    /**
     * <p>
     * This method simply returns isBinary to match binary files.
     * </p>
     *
     * @param isBinary whether the file is binary
     *
     * @return the isBinary boolean
     */
    protected boolean match(boolean isBinary) {
        return isBinary;
    }
}
